Bug 918692 - PIN/Password dialog for Mobile Broadband forces user to enter password, even if it's not needed
Summary: PIN/Password dialog for Mobile Broadband forces user to enter password, even ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: pre-dev-freeze
: 7.1
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1191019 1269085 1110708 1269082
TreeView+ depends on / blocked
 
Reported: 2013-03-06 18:13 UTC by Martin
Modified: 2016-02-23 15:43 UTC (History)
10 users (show)

Fixed In Version: network-manager-applet-1.0.4-1.el7
Doc Type: Bug Fix
Doc Text:
In RHEL 7.1 nm-applet was running by default and it may ask users for PIN/password to unlock a modem. RHEL 7.2 does not run nm-applet by default and thus user is not annoyed with the dialog.
Clone Of:
: 1269082 1269085 (view as bug list)
Environment:
Last Closed: 2015-11-19 10:52:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
[patch] jk/no-auto-unlock-sim-rh918692 (1.80 KB, patch)
2016-02-23 15:43 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Martin 2013-03-06 18:13:42 UTC
Description of problem:
PIN/Password dialogue for Mobile Broadband forces user to enter password, even if it's not needed.

Version-Release number of selected component (if applicable):
network-manager-applet-0.9.7.0-6.git20121211.el7.x86_64
nm-connection-editor-0.9.7.0-6.git20121211.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Plug 3G dongle.
2. Wait for Mobile Broadband interface in network applet.
3. Try connect using Mobile Broadband.
4. Insert PIN only.
  
Actual results:
Dialogue asking for PIN/Password pops-up. User can't confirm dialogue, until he input both PIN and Password. In reality some mobile operators doesn't require password to connect to their network. Workaround is to input some random password, at least with one particular operator.

Expected results:
Dialogue should not force user to input something that is not needed and user don't even know what type in. Dialogue should let user confirm even with empty fields.

Additional info:
Need to test this behaviour also with PIN disabled.

Comment 4 RHEL Program Management 2014-03-22 06:59:04 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 23 errata-xmlrpc 2015-11-19 10:52:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html

Comment 24 Thomas Haller 2016-02-23 15:43:13 UTC
Created attachment 1129826 [details]
[patch] jk/no-auto-unlock-sim-rh918692

The patch from jk/no-auto-unlock-sim-rh918692 was NACK'ed.

Attach here for historical reference. The patch applies on commit 6701ae6fece2ec8f8597ea837d890fdbfe82aadc


Note You need to log in before you can comment on or make changes to this bug.